Debian Bug report logs - #492199
file conflicts between packages

version graph

Packages: libbsd0, libbsd-dev; Maintainer for libbsd0 is Guillem Jover <guillem@debian.org>; Source for libbsd0 is src:libbsd. Maintainer for libbsd-dev is Guillem Jover <guillem@debian.org>; Source for libbsd-dev is src:libbsd.

Reported by: Michael Ablassmeier <abi@grinser.de>

Date: Thu, 24 Jul 2008 11:00:01 UTC

Severity: serious

Fixed in version libbsd/0.0.1-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#492199; Package libbsd-dev, libbsd0. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
New Bug report received and forwarded. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: submit@bugs.debian.org
Subject: file conflicts between packages
Date: Thu, 24 Jul 2008 12:59:20 +0200
Package: libbsd-dev, libbsd0
Severity: serious
Justification: policy violation

hi,

both libbsd-dev and libbsd0 ship
 `/usr/share/man/man3/md5.3.gz'
but do neither conflict, nor add a diversion, thus fail to be installed in the
same environment:

 > dpkg: error processing /var/cache/apt/archives/libcgi-dev_1.0-6_amd64.deb (--unpack):
 >  trying to overwrite `/usr/share/man/man3/md5.3.gz', which is also in package libbsd-dev
 > Processing triggers for man-db ...
 > Errors were encountered while processing:
 >  /var/cache/apt/archives/libcgi-dev_1.0-6_amd64.deb
 > E: Sub-process /usr/bin/dpkg returned an error code (1)

bye,
    - michael




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Ablassmeier <abi@grinser.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 492199-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 492199-close@bugs.debian.org
Subject: Bug#492199: fixed in libbsd 0.0.1-1
Date: Sat, 26 Jul 2008 21:02:56 +0000
Source: libbsd
Source-Version: 0.0.1-1

We believe that the bug you reported is fixed in the latest version of
libbsd, which is due to be installed in the Debian FTP archive:

libbsd-dev_0.0.1-1_i386.deb
  to pool/main/libb/libbsd/libbsd-dev_0.0.1-1_i386.deb
libbsd0-dbg_0.0.1-1_i386.deb
  to pool/main/libb/libbsd/libbsd0-dbg_0.0.1-1_i386.deb
libbsd0_0.0.1-1_i386.deb
  to pool/main/libb/libbsd/libbsd0_0.0.1-1_i386.deb
libbsd_0.0.1-1.diff.gz
  to pool/main/libb/libbsd/libbsd_0.0.1-1.diff.gz
libbsd_0.0.1-1.dsc
  to pool/main/libb/libbsd/libbsd_0.0.1-1.dsc
libbsd_0.0.1.orig.tar.gz
  to pool/main/libb/libbsd/libbsd_0.0.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 492199@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated libbsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 26 Jul 2008 22:57:42 +0300
Source: libbsd
Binary: libbsd-dev libbsd0 libbsd0-dbg
Architecture: source i386
Version: 0.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 libbsd-dev - utility functions from BSD systems - development files
 libbsd0    - utility functions from BSD systems - shared library
 libbsd0-dbg - utility functions from BSD systems - debugging symbols
Closes: 492199
Changes: 
 libbsd (0.0.1-1) unstable; urgency=low
 .
   * New upstream release.
     - Install md5.3 man page as md5.3bsd to avoid conflicting with commonly
       provided file. (Closes: #492199)
   * Install upstream ChangeLog.
Checksums-Sha1: 
 60d79ad520a963431f3b2203d7706c206a44b291 1249 libbsd_0.0.1-1.dsc
 d1ce6736f9967842a860db1b71df166092af3aa2 46871 libbsd_0.0.1.orig.tar.gz
 53c7e2778a283720b13daa760839f6626a9e1f93 5247 libbsd_0.0.1-1.diff.gz
 305260a92a00b34a0e8ba9f5ffe4b02e9c0adba0 49560 libbsd-dev_0.0.1-1_i386.deb
 f6a435a3b52b32bb935b83e3c075c979b350fcee 26728 libbsd0_0.0.1-1_i386.deb
 d8141754210408537f995fc7fd391a63a8ac443f 32630 libbsd0-dbg_0.0.1-1_i386.deb
Checksums-Sha256: 
 dccdc685e9f7b9bc923afcecbb6a7889c479f5ea080642fc3cfd4ae9097e1592 1249 libbsd_0.0.1-1.dsc
 fd58634ad3d0d3c56040ef16a4465c1656207e240ef95cc311549b96ca1055d3 46871 libbsd_0.0.1.orig.tar.gz
 b1c03dc4df05f2fe6ce95e10cc7e8e41fbe1bcd8264a305952d298dbf34169fb 5247 libbsd_0.0.1-1.diff.gz
 17f382ce1f78da1fa31afd79fb465c99621a36d56e65e15746b3af79be0a553e 49560 libbsd-dev_0.0.1-1_i386.deb
 cc14f29a1acc0b56df766ae819a58b9880281b78f9560ace2fc3ae0aa12f426d 26728 libbsd0_0.0.1-1_i386.deb
 5e5cf3ebf4dc25d6c8b6a988cd1bfbcd41e1b7ab23c3f5013de86fc596a9dba8 32630 libbsd0-dbg_0.0.1-1_i386.deb
Files: 
 3cb6f045517c820d171bf45ccf3b79fa 1249 libs optional libbsd_0.0.1-1.dsc
 c5c31ce402405d26cb4a6bd6f684e539 46871 libs optional libbsd_0.0.1.orig.tar.gz
 879ac564a5f527eb50096cbe2f5a0af9 5247 libs optional libbsd_0.0.1-1.diff.gz
 dc0d4c69e32c507c02fb3d9b6c1e71fe 49560 libdevel optional libbsd-dev_0.0.1-1_i386.deb
 ece493b62daa927cfb0f745732703de0 26728 libs optional libbsd0_0.0.1-1_i386.deb
 da3f02b6b3de04214a5b23be359ea1ca 32630 libs extra libbsd0-dbg_0.0.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiLge0ACgkQuW9ciZ2SjJv1gwCg1bqZ6Pb1w/lEoP2PBBeP1wU2
YqkAniMOCWf1qthvtZw0LCXXasAzr6k7
=w8dB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Aug 2008 07:37:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:29:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.